Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1258146 - Review Request: nodejs-strip-indent - Strip leading whitespace from every line in a string
Review Request: nodejs-strip-indent - Strip leading whitespace from every lin...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On: 1258145
Blocks: nodejs-reviews 1258147
  Show dependency treegraph
 
Reported: 2015-08-29 11:55 EDT by Piotr Popieluch
Modified: 2015-09-18 18:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-18 14:32:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-08-29 11:55:15 EDT
Spec URL: https://piotrp.fedorapeople.org/nodejs-strip-indent.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-strip-indent-1.0.1-1.fc22.src.rpm
Description: Strip leading whitespace from every line in a string
Fedora Account System Username: piotrp
Comment 1 Tom Hughes 2015-09-06 05:07:56 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /home/tom/1258146-nodejs-strip-
     indent/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.12 starting (python version = 3.4.2)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.12
INFO: Mock Version: 1.2.12
Finish: chroot init
INFO: installing package(s): /home/tom/1258146-nodejs-strip-indent/results/nodejs-strip-indent-1.0.1-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/compton-rawhide-x86_64/root/ --releasever 24 install /home/tom/1258146-nodejs-strip-indent/results/nodejs-strip-indent-1.0.1-1.fc24.noarch.rpm


Rpmlint
-------
Checking: nodejs-strip-indent-1.0.1-1.fc24.noarch.rpm
          nodejs-strip-indent-1.0.1-1.fc24.src.rpm
nodejs-strip-indent.noarch: W: spelling-error Summary(en_US) whitespace -> white space, white-space, whites pace
nodejs-strip-indent.noarch: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
nodejs-strip-indent.noarch: W: only-non-binary-in-usr-lib
nodejs-strip-indent.noarch: W: dangling-symlink /usr/lib/node_modules/strip-indent/node_modules/get-stdin /usr/lib/node_modules/get-stdin
nodejs-strip-indent.noarch: W: no-manual-page-for-binary strip-indent
nodejs-strip-indent.src: W: spelling-error Summary(en_US) whitespace -> white space, white-space, whites pace
nodejs-strip-indent.src: W: spelling-error %description -l en_US whitespace -> white space, white-space, whites pace
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Requires
--------
nodejs-strip-indent (rpmlib, GLIBC filtered):
    /usr/bin/env
    nodejs(engine)
    npm(get-stdin)



Provides
--------
nodejs-strip-indent:
    nodejs-strip-indent
    npm(strip-indent)



Source checksums
----------------
https://github.com/sindresorhus/strip-indent/archive/addcf90a56001ea122e9f1254987016bc87e5b5f.tar.gz#/strip-indent-addcf90.tar.gz :
  CHECKSUM(SHA256) this package     : bdeabe8f340d6e50cdf25398d20c7600298b90e229d8393411ba44138b493a8b
  CHECKSUM(SHA256) upstream package : bdeabe8f340d6e50cdf25398d20c7600298b90e229d8393411ba44138b493a8b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1258146
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Tom Hughes 2015-09-06 05:09:42 EDT
Install failure was just because get-stdin hasn't reached the rawhide mirror I'm using yet.

Looks good other than that, so package approved.
Comment 3 Piotr Popieluch 2015-09-06 06:21:40 EDT
Thanks

New Package SCM Request
=======================
Package Name: nodejs-strip-indent
Short Description: Strip leading whitespace from every line in a string
Upstream URL: https://github.com/sindresorhus/strip-indent
Owners: piotrp
Branches: f23 f22 f21 epel7
Comment 4 Gwyn Ciesla 2015-09-06 10:39:55 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2015-09-06 11:23:33 EDT
nodejs-strip-indent-1.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15213
Comment 6 Fedora Update System 2015-09-06 11:24:54 EDT
nodejs-strip-indent-1.0.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15214
Comment 7 Fedora Update System 2015-09-06 11:29:36 EDT
nodejs-strip-indent-1.0.1-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15215
Comment 8 Fedora Update System 2015-09-06 14:51:36 EDT
nodejs-strip-indent-1.0.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-strip-indent'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15214
Comment 9 Fedora Update System 2015-09-06 17:19:05 EDT
nodejs-strip-indent-1.0.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-strip-indent'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15215
Comment 10 Fedora Update System 2015-09-06 17:56:41 EDT
nodejs-strip-indent-1.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update nodejs-strip-indent'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15213
Comment 11 Fedora Update System 2015-09-18 14:32:17 EDT
nodejs-strip-indent-1.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-09-18 16:51:31 EDT
nodejs-strip-indent-1.0.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-09-18 18:20:30 EDT
nodejs-strip-indent-1.0.1-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.